# -*- encoding: utf-8 -*-
# stub: dry-container 0.7.2 ruby lib

Gem::Specification.new do |s|
  s.name = "dry-container".freeze
  s.version = "0.7.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Andy Holland".freeze]
  s.date = "2019-07-09"
  s.email = ["andyholland1991@aol.com".freeze]
  s.files = [".codeclimate.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".rubocop_todo.yml".freeze, ".travis.yml".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "dry-container.gemspec".freeze, "lib/dry-container.rb".freeze, "lib/dry/container.rb".freeze, "lib/dry/container/error.rb".freeze, "lib/dry/container/item.rb".freeze, "lib/dry/container/item/callable.rb".freeze, "lib/dry/container/item/factory.rb".freeze, "lib/dry/container/item/memoizable.rb".freeze, "lib/dry/container/mixin.rb".freeze, "lib/dry/container/namespace.rb".freeze, "lib/dry/container/namespace_dsl.rb".freeze, "lib/dry/container/registry.rb".freeze, "lib/dry/container/resolver.rb".freeze, "lib/dry/container/stub.rb".freeze, "lib/dry/container/version.rb".freeze, "rakelib/rubocop.rake".freeze, "spec/integration/container_spec.rb".freeze, "spec/integration/mixin_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/shared_examples/container.rb".freeze]
  s.homepage = "https://github.com/dry-rb/dry-container".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.1.6".freeze
  s.summary = "A simple container intended for use as an IoC container".freeze
  s.test_files = ["spec/integration/container_spec.rb".freeze, "spec/integration/mixin_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/shared_examples/container.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<dry-configurable>.freeze, ["~> 0.1", ">= 0.1.3"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  else
    s.add_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_dependency(%q<dry-configurable>.freeze, ["~> 0.1", ">= 0.1.3"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
  end
end

